<template>
  <div class="currency" v-html="markup" />
</template>

<script>
  export default {
    name: "obCurrency",

    props: {
      value: {
        type: Number
      },

      separator: {
        type: String,
        default: ','
      }
    },

    computed: {
      markup() {
        const arr = this.$options.filters.currency(this.value, {dot: 2}).split(this.separator);
        const body = arr[0];
        const cents = arr[1];
        return cents ? `${body},<span>${cents} &#8381;</span>` : `${body} &#8381;`;
      }
    }
  }
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/variables";
@import "~common-components/src/static/css/mixins";

.currency {
  font-size: inherit;
  line-height: 1;
  font-weight: 500;

  ::v-deep {
    span {
      margin-left: 0.05em;
      @include font-mixin(0.85em, 12px, 500);
    }
  }

}
</style>